- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::UnifiedHighLevelGpuProgramFactory Class Reference

Factory class for Unified programs. More...

`#include <OgreUnifiedHighLevelGpuProgram.h>`

Inheritance diagram for Ogre::UnifiedHighLevelGpuProgramFactory:
[legend]

List of all members.

## Public Member Functions
| UnifiedHighLevelGpuProgramFactory ()
| ~UnifiedHighLevelGpuProgramFactory ()
const String & | getLanguage (void) const
| Get the name of the language this factory creates programs for.
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)
void | destroy (HighLevelGpuProgram *prog)

## Detailed Description

Factory class for Unified programs.

Definition at line 152 of file OgreUnifiedHighLevelGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::UnifiedHighLevelGpuProgramFactory::UnifiedHighLevelGpuProgramFactory | ( |  | ) |

Ogre::UnifiedHighLevelGpuProgramFactory::~UnifiedHighLevelGpuProgramFactory | ( |  | ) |

## Member Function Documentation

const String& Ogre::UnifiedHighLevelGpuProgramFactory::getLanguage | ( | void |  | ) | const`[virtual]`

Get the name of the language this factory creates programs for.

Implements Ogre::HighLevelGpuProgramFactory.

HighLevelGpuProgram* Ogre::UnifiedHighLevelGpuProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader |
| ) |  |  | `[virtual]`

Implements Ogre::HighLevelGpuProgramFactory.

void Ogre::UnifiedHighLevelGpuProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) | `[virtual]`

Implements Ogre::HighLevelGpuProgramFactory.

The documentation for this class was generated from the following file:

- OgreUnifiedHighLevelGpuProgram.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:55:02 2008